# Copyright (C) 2025 Michael Becker  <alcexhim@gmail.com>
# 
# This file is part of mocha-common.
# 
# mocha-common is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# mocha-common is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with mocha-common.  If not, see <https://www.gnu.org/licenses/>.

root = .
builddir = build
bash = bash
yaml2mcl = ./mocha-common/yaml2mcl

rule yaml2mcl
  command = $yaml2mcl --export-entities=$out.cs -o $out $in
  description = Compiling YAML to MCL for $out
  
rule yaml2mcl_sys
  command = $yaml2mcl --export-entities=$out.cs --reference $root/mocha-common/output/net.alcetech.Mocha.System.mcl -o $out $in
  description = Compiling YAML to MCL for $out
  
build $root/mocha-common/output/net.alcetech.Mocha.Core.mcl: yaml2mcl $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/000-EntityDefinitions/001-Classes.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/000-EntityDefinitions/002-Attributes.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/000-EntityDefinitions/003-Relationships.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00001-Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00002-Attribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00003-Relationship.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00004-TextAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00005-BooleanAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00017-Instance.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00020-NumericAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00021-DateAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00473-SourceDefinition.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/00474-EntityDefinition.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/05549-ExecutableReturningWorkData.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/05550-ExecutableReturningAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/05551-ExecutableReturningInstanceSet.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Core/003-Classes/05552-ExecutableReturningElement.yaml
build $root/mocha-common/output/net.alcetech.Mocha.System.mcl: yaml2mcl $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/000-Libraries.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/001-Classes.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/002-Attributes.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/003-Relationships.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/004-Instances.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/005-MethodClasses.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/006-Methods.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/007-TaskClasses.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/008-Elements.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/009-MethodBindings.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/010-SystemRoutines.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/011-Layouts.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/012-ObjectSources.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/013-WorkSets.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/014-Files.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/015-MeasurementUnits.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/000-EntityDefinitions/016-TaskCategories.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00001-Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00002-Attribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00003-Relationship.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00004-TextAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00005-BooleanAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00006-Element.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00007-InstanceSet.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00008-ControlTransactionMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00009-OMS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00010-Method.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00011-ProcessUpdatesMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00012-GetAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00014-SystemRoutine.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00015-WorkSet.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00016-BEMProcess.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00017-Instance.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00018-GetReferencedAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00019-SelectFromInstanceSetMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00020-NumericAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00021-DateAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00023-AssignRelationshipMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00024-EvaluateBooleanExpressionMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00026-GetReferencedInstanceSetMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00027-MethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00028-ParameterAssignment.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00029-BuildElementMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00030-BuildAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00033-Person.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00036-SetFunction.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00038-CommonDate.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00039-SystemUser.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00040-GetSpecifiedInstancesMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00041-Application.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00042-WorkData.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00047-ElementContentTestClass.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00048-AccumulationFunction.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00049-SelectionFunction.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00050-BooleanOperator.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00053-ExecutableForPUMB.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00054-ProcessRelatedUpdatesMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00056-ElementContent.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00057-Module.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00058-CommonNumeric.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00061-DisplayOption.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00062-BuildUIResponseMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00065-GetInstanceSetBySystemRoutineMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00066-GetAttributeBySystemRoutineMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00068-UpdateBySystemRoutineMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00069-SystemInstanceSetRoutine.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00070-SystemAttributeRoutine.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00072-SystemUpdateRoutine.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00073-AssignAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00082-ProcessUpdatesMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00083-ExecuteUpdateMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00084-BuildResponseMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00085-ReturnElementMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00086-ReturnAttributeMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00087-ReturnInstanceSetMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00092-CalculateDateMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00109-InstanceSource.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00115-DynamicDisplayOption.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00116-ECDynamicDisplayOption.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00124-ExecutableBuildingResponse.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00146-ReportField.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00148-RelationalOperator.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00149-LogicalOperator.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00206-ConditionGroup.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00207-GetRelationshipMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00234-Language.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00360-TenantType.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00361-Tenant.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00371-PUMProcess.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00393-GetInstancesMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00402-PersonName.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00473-SourceDefinition.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00474-EntityDefinition.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00496-Search.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00767-CommonText.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00768-CommonStaticMethods.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00769-CommonBoolean.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00770-CommonInstanceSet.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00922-DerivedElementContent.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/00924-DerivedECDisplayOption.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01078-Layout.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01422-CustomReportDefinition.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01429-CustomReportFilter.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01431-DataSource.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01435-SystemDataSource.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01502-Translation.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01509-TranslationValue.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01516-ReportSortDirection.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01599-GroupLayout.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01603-GroupLayoutOption.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01604-ImageLayout.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01605-Style.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01606-Masurement.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01607-MeasurementUnit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01614-File.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01617-Alignment.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/01621-StyleSheet.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/02229-Domain.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/02663-InstanceOpMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/02737-RichTextAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/02993-Task.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/02994-HardcodedTask.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/02997-SequenceTask.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/03001-RedirectTask.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/03004-TaskCategory.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/03009-ButtonLayout.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/03077-ExternalIDType.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/03078-ExternalID.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/04170-AccessModifier.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/04172-MetadataWithAccessModifier.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/04296-ReportDefinition.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/04306-DateAndTimeAdjustment.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/04307-UserPreferences.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/04310-ReportColumn.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/04319-ReportSortDescriptor.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/05549-ExecutableReturningWorkData.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/05550-ExecutableReturningAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/05551-ExecutableReturningInstanceSet.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/05552-ExecutableReturningElement.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/05555-Executable.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/13038-ConditionalSelectAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/13039-ConditionalSelectInstanceSetMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/13040-ConditionalEvaluationCase.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/13041-ConditionalSelectAttributeCase.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/003-Classes/13042-ConditionalSelectInstanceSetCase.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Class/Class__create__Instance.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Class/Class__get__All_Classes.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Class/Class__get__Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Common$ Boolean@is$ Date$ And$ Time$ parm$ less$ than$ or$ equal$ to$ Nth$ of$ this$ same$ month.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonBoolean/Common_Boolean__get__True.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonInstanceSet/Common_Instance_Set__get__Set_A_or_Set_B_if_Set_A_is_empty.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonInstanceSet/Common_Instance_Set__is__Set_A_empty.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonNumeric/Common_Numeric__get__Random_Number.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__At_Sign.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Close_Bracket.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Close_Parenthesis.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Colon.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Comma.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Empty_String.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Forward_Slash.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Open_Bracket.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Open_Parenthesis.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Period.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/CommonText/Common_Text__get__Single_Space.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Date$ And$ Time$ Adjustment@adjust$ Date$ And$ Time$ parm$ to$ 'Nth$ of$ month'.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ElementContent/Element_Content__get__Data_Type_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ElementContent/Element_Content__get__Data_Type.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ElementContent/Element_Content__get__Element_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ElementContent/Element_Content__get__Element.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ElementContent/Element_Content__get__Fully_Qualified_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ElementContent/Element_Content__get__Order.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Element/Element__get__Element_Contents.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Element/Element__get__Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Element/Element__get__Returned_by_BEM.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ExternalID/External_ID__get__Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Instance/Instance__get__External_IDs.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Instance/Instance__get__Global_Identifier.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Instance/Instance__get__Parent_Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__Abbreviation.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__BRMB_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__EUMB_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__Executes_Method_and_Method_Type.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__Executes_Method.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__Parameter_Assignments.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__Parent_Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__PUMB_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__RAMB_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__get__RSMB_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__is__BRMB.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__is__EUMB.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__is__PUMB.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__is__RAMB.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/MethodBinding/Method_Binding__is__RSMB.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__AA_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Access_Modifier.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__BA_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__BUIR_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__CD_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__EBE_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_BA.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_BUIR.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_CD.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_CT.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_EBE.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_GAS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_GA.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_GI.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_GRA.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_GRS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_GSI.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_GSS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_PU.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_SAC.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_SS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name_US.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Fully_Qualified_Name/Method__get__Fully_Qualified_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__GA_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__GAS_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__GI_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__GRA_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__GR_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__GRS_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__GSI_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__GSS_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__IOP_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Method_Abbreviation.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Parent_Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Parms_Qualifier_or_Empty_String.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Parms_Qualifier.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Public_Qualifier_or_Empty_String.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Public_Qualifier.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__SAC_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__SS_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Static_Qualifier_or_Empty_String.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Static_Qualifier.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Static.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__US_Method_Suffix.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__get__Verb.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__AA.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__BA.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__BUIR.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__CD.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__EBE.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__GAS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__GA.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__GI.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__GRA.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__GRS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__GR.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__GSI.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__GSS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__IOP.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__Public.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__SAC.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__SS.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__Static.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Method/Method__is__US.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Module/Module__get__Fully_Qualified_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/PersonName/Person_Name__get__Family_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/PersonName/Person_Name__get__Given_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Destination_Class_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Destination_Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Fully_Qualified_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Relationships_with_Destination_Class_equal_to_Class_parm.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Relationships_with_Source_Class_equal_to_Class_parm.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Relationships.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Relationship_Type.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Sibling_Relationship.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Source_Class_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Source_Class.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Source_Instances_on_Instance_parm.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__get__Target_Instances_on_Instance_parm.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__is__Destination_Class_equal_to_Class_parm.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Relationship/Relationship__is__Source_Class_equal_to_Class_parm.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ReportDefinition/Report_Definition__get__Columns.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ReportDefinition/Report_Definition__get__Sort_Descriptors.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/ReportDefinition/Report_Definition__get__Top_Level_Report_Filters.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/Translation@get$ Translation$ Value.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/User/System_User__get__Current_User.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/User/System_User__get__Preferred_Display_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/User/System_User__get__User_for_User_Name_parm.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/User/System_User__get__User_Name_with_Full_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/User/System_User__get__User_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/004-Methods/User/System_User__is__Logged_In.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Elements/000000-LoginPageSubedit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Elements/000000-LoginPage.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Elements/113789-UserList.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Elements/113800-ElementTests.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Elements/113859-HomePage.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Reports/All$ Classes.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/AccessModifier.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/BooleanAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/BuildAttributeMethod/BuildAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/BuildAttributeMethod/Selection.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/BuildResponseMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/CalculateDateMethod/CalculateDateMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/Class/ClassDefinition.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/Class/ClassTaskStart.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/Class/CreateClass.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/Class/ViewClass.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ConditionalSelectAttributeMethod/ConditionalSelectAttributeMethodCase.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ConditionalSelectAttributeMethod/ConditionalSelectAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/CustomReportDefinition/Columns.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/CustomReportDefinition/Common.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/CustomReportDefinition/Edit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/CustomReportDefinition/Filter.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/CustomReportDefinition/SortAndGroup.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/CustomReportDefinition/Tabs.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/CustomReportDefinition/View.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ElementContent/Common.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ElementContent/EditElementContent.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ElementContent/ElementContentTaskStart.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ElementContent/ParameterList.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ElementContent/ViewElementContent.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/Element.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/EvaluateBooleanExpressionMethod/EvaluateBooleanExpressionMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ExternalIDs/Edit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ExternalIDs/IntegrationIDs.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ExternalIDs/ReferenceIDEdits.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ExternalIDs/ReferenceIDList.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ExternalIDs/Select.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ExternalIDs/View.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/GetAttributeBySystemRoutineMethod/GetAttributeBySystemRoutineMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/GetAttributeMethod/GetAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/GetInstancesMethod/GetInstancesMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/GetReferencedAttributeMethod/GetReferencedAttributeMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/GetReferencedInstanceSetMethod/GetReferencedInstanceSetMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/GetSpecifiedInstancesMethod/GetSpecifiedInstancesMethod.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/Instance/ShowInstanceUsage/ShowInstanceUsage.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/Instance/ShowInstanceUsage/Start.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ManageSystemUserCredentials.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/MethodCommon/MethodCommon.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/MethodCommon/MethodUsages.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/NumericAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/Relationship/ViewEdit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ReturnAttributeMethodBinding/Common.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ReturnAttributeMethodBinding/Edit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ReturnAttributeMethodBinding/View.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ReturnInstanceSetMethodBinding/ReturnInstanceSetMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/RichTextAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ShowDefinitionInCodeEditor.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/SystemUser/Common.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/SystemUser/Edit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/SystemUser/View.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/TestMethodBinding.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/TextAttribute/Edit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/TextAttribute/Select.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/TextAttribute/TextAttribute.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/TextAttribute/View.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/005-UserInterface/Tasks/ViewWorkData.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/009-Users/zq-developer.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/990-AdditionalUIClasses/BinarySwitchLayout.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/990-AdditionalUIClasses/RotarySwitchLayout.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/000-Home/Home.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/CircuitBreakerPanel/CircuitBreakerGroup.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/CircuitBreakerPanel/CircuitBreakerPanel.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/CircuitBreakerPanel/CircuitBreakerPhase.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/CircuitBreakerPanel/CircuitBreaker.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/CircuitBreakerPanel/Methods/CircuitBreakerPanel@getCircuitBreakers.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/Device/Device.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/DeviceType/DeviceType.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/Protocol/Protocol.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/000-Classes/Room/Room.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/CarmelBay/CircuitBreakers.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/CarmelBay/Home.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Lemonwood/CircuitBreakers.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Lemonwood/Home.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/CircuitBreaker/Common.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/CircuitBreaker/Edit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/CircuitBreakerGroup.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/CircuitBreakerPanel/Common.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/CircuitBreakerPanel/Edit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/CircuitBreakerPanel/View.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/CircuitBreaker/View.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/Device/Common.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/Device/Computer/ComputerSubedits.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/Device/Edit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/Device/Kidde/KiddeSubedits.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/Device/View.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Tasks/Device/ZWave/ZWaveSubedits.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Users/arussell.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/Home/Users/rmorton.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Brand/Brand.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Brand/Methods/Brand@get_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Manufacturer/Manufacturer.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Manufacturer/Methods/Manufacturer@get_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Manufacturer/ViewEdit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductColor/Methods/Product_Color@get_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductColor/ProductColor.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductColor/ViewEdit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Additional_Details.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Brand_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Brand.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Calculated_Description.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Manufacturer_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Manufacturer.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Product_Code.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Product_Color_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Product_Color.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Product_Style_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Product_Style.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Product_Type_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Methods/Product@get_Product_Type.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/Product.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductStyle/Methods/Product_Style@get_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductStyle/ProductStyle.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductStyle/ViewEdit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductType/Methods/Product_Type@get_Name.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductType/ProductType.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/ProductType/ViewEdit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Random/StarwareIMS/Classes/Product/ViewEdit.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/999-Tenants/default/tenant.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.System/Library.yaml 
build $root/mocha-common/output/net.alcetech.Mocha.Web.mcl: yaml2mcl_sys $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Web/001-Classes/00434-Route.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Web/001-Classes/00473-SourceDefinition.yaml $root/mocha-common/data/libraries/yaml/net.alcetech.Mocha.Web/001-Classes/00474-EntityDefinition.yaml 
